Bug 963074 - Review Request: librime - Rime Input Method Engine Library
Review Request: librime - Rime Input Method Engine Library
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Parag AN(पराग)
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 963077 963078
  Show dependency treegraph
 
Reported: 2013-05-15 02:02 EDT by Peng Wu
Modified: 2013-09-24 23:56 EDT (History)
3 users (show)

See Also:
Fixed In Version: ibus-rime-0.9.9-2.fc19
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-05-27 20:59:45 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
panemade: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Peng Wu 2013-05-15 02:02:52 EDT
Spec URL: http://pwu.fedorapeople.org/rime/librime.spec
SRPM URL: http://pwu.fedorapeople.org/rime/librime-0.9.8-1.fc18.src.rpm
Description: RIME: Rime Input Method Engine
Fedora Account System Username:pwu
Comment 1 Parag AN(पराग) 2013-05-15 05:23:43 EDT
Review:-

+ Koji scratch build f20 -> http://koji.fedoraproject.org/koji/taskinfo?taskID=5383022

+ rpmlint on rpms gave
librime.src: W: invalid-url Source0: http://rimeime.googlecode.com/files/librime-0.9.8.tar.gz HTTP Error 404: Not Found
librime.x86_64: W: no-manual-page-for-binary rime_dict_manager
librime.x86_64: W: no-manual-page-for-binary rime_deployer
librime-devel.x86_64: W: no-documentation
4 packages and 0 specfiles checked; 0 errors, 4 warnings.
==> Source is downloadable so no issues.

+ Source verified with upstream as
http://rimeime.googlecode.com/files/librime-0.9.8.tar.gz :
  CHECKSUM(SHA256) this package     : 94092a7d1990b949efe6b4bcf8e8351cee64a3abe7838770a775ecb02a1ef065
  CHECKSUM(SHA256) upstream package : 94092a7d1990b949efe6b4bcf8e8351cee64a3abe7838770a775ecb02a1ef065


+ License is valid and its text is include in LICENSE file

Suggestions:-
1) Add -tools subpackage which will install rime_deployer and 
rime_dict_manager and let it 
Requires:       %{name}%{?_isa} = %{version}-%{release}


2) package need to own directory %{_datadir}/cmake/rime

3) I don't think you need following for this package
BuildRequires:  xorg-x11-proto-devel, zlib-devel
Comment 2 Parag AN(पराग) 2013-05-15 05:27:57 EDT
4) Add some description more like say features from README but make sure all lines in %description limited to 80 characters otherwise rpmlint will complain
Comment 3 Peng Wu 2013-05-16 02:47:15 EDT
Fixed, Please review it again.
Spec URL: http://pwu.fedorapeople.org/rime/librime.spec
SRPM URL: http://pwu.fedorapeople.org/rime/librime-0.9.8-2.fc18.src.rpm
Comment 4 Parag AN(पराग) 2013-05-16 23:39:07 EDT
Suggestions:
1) #Requires: line should be removed as its not needed though its a comment.

2) every patch line should have some text written in spec about why the original tarball needed to be patched.

3) Good to add what things got changed from previous release in %changelog

4) In %description, don't put some space for complete sentences like write as
Support for shape-based and phonetic-based input methods,
including those for Chinese dialects.

A selected dictionary in Traditional Chinese,
powered by opencc for Simplified Chinese output.


All other looks good.

APPROVED.
Comment 5 Peng Wu 2013-05-20 03:49:07 EDT
New Package SCM Request
=======================
Package Name: librime
Short Description: Rime Input Method Engine Library
Owners: pwu
Branches: f18 f19
InitialCC: i18n-team petersen
Comment 6 Gwyn Ciesla 2013-05-20 09:44:17 EDT
Git done (by process-git-requests).
Comment 7 Fedora Update System 2013-05-24 21:49:11 EDT
ibus-rime-0.9.9-2.fc18,brise-0.22-2.fc18,librime-0.9.8-2.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/ibus-rime-0.9.9-2.fc18,brise-0.22-2.fc18,librime-0.9.8-2.fc18
Comment 8 Fedora Update System 2013-05-24 21:49:31 EDT
ibus-rime-0.9.9-2.fc19,brise-0.22-2.fc19,librime-0.9.8-2.fc19 has been submitted as an update for Fedora 19.
https://admin.fedoraproject.org/updates/ibus-rime-0.9.9-2.fc19,brise-0.22-2.fc19,librime-0.9.8-2.fc19
Comment 9 Fedora Update System 2013-05-25 15:02:53 EDT
ibus-rime-0.9.9-2.fc19, brise-0.22-2.fc19, librime-0.9.8-2.fc19 has been pushed to the Fedora 19 testing repository.
Comment 10 Fedora Update System 2013-05-27 20:59:45 EDT
ibus-rime-0.9.9-2.fc18, brise-0.22-2.fc18, librime-0.9.8-2.fc18 has been pushed to the Fedora 18 stable repository.
Comment 11 Fedora Update System 2013-05-27 22:16:49 EDT
ibus-rime-0.9.9-2.fc19, brise-0.22-2.fc19, librime-0.9.8-2.fc19 has been pushed to the Fedora 19 stable repository.

Note You need to log in before you can comment on or make changes to this bug.